SimpleGroovyExecutableMemberDoc (groovy 2.4.10 API)
Date: 2017-03-14

Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyExecutableMemberDoc

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyExecutableMemberDoc

- All Implemented Interfaces and Traits:
    GroovyExecutableMemberDoc

      public class SimpleGroovyExecutableMemberDoc
      extends SimpleGroovyMemberDoc

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class SimpleGroovyMemberDoc` | `belongsToClass`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyExecutableMemberDoc (String name, GroovyClassDoc belongsToClass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `add(GroovyParameter parameter)`
    `` | `String` | `flatSignature()`
    `` | `boolean` | `isNative()`
    `` | `boolean` | `isSynchronized()`
    `` | `boolean` | `isVarArgs()`
    `` | `GroovyParameter[]` | `parameters()`
    `` | `String` | `signature()`
    `` | `GroovyType[]` | `thrownExceptionTypes()`
    `` | `GroovyClassDoc[]` | `thrownExceptions()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SimpleGroovyMemberDoc` | `commentText, firstSentenceCommentText, isSynthetic`
    `class SimpleGroovyAbstractableElementDoc` | `isAbstract, setAbstract`
    `class SimpleGroovyProgramElementDoc` | `addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic`
    `class SimpleGroovyDoc` | `calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public SimpleGroovyExecutableMemberDoc(String name, GroovyClassDoc belongsToClass)

  - ### Method Detail

    - #### public void add(GroovyParameter parameter)

    - #### public String flatSignature()

    - #### public boolean isNative()

    - #### public boolean isSynchronized()

    - #### public boolean isVarArgs()

    - #### public GroovyParameter[] parameters()

    - #### public String signature()

    - #### public GroovyType[] thrownExceptionTypes()

    - #### public GroovyClassDoc[] thrownExceptions()